Subject: Re: bug#3911: get-free-disk-space when default-directory doesn't exist

From: Kevin Ryde <[email-masked]>
Date: Tue, 25 Aug 2009 09:45:37 +1000

Stefan Monnier <[email-masked]> writes:
>
> How 'bout this patch instead (which could even work on Tramp
> directories)?

I don't think so.  It's still a race condition in between choosing an
apparently existent directory and then making use of that directory,
isn't it?  I think "/" is the only place certain to exist and not go
away.  It's also the simplest approach.

`sha1-string-external' is another place this comes up.  In that case the
operation is completely unrelated to any directory, and so really should
go to "/" so as to be independent of default-directory or whether that
dir is coming or going.